import type { SidebarsConfig } from "@docusaurus/plugin-content-docs";

const sidebar: SidebarsConfig = {
  apisidebar: [
    {
      type: "doc",
      id: "apis/analytics-data-plane/tsg-analytics-data-plane",
    },
    {
      type: "category",
      label: "Settings",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/config-controller-get-settings",
          label: "Retrieve settings",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/config-controller-update-settings",
          label: "Update settings",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/config-controller-upload-file",
          label: "Upload logo",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Authentication",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/auth-controller-get-user",
          label: "Retrieve current user status",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/auth-controller-login",
          label: "Login redirect",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/auth-controller-logout",
          label: "Logout redirect",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/auth-controller-callback",
          label: "Login callback",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Data Plane",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-get-catalog",
          label: "Get catalog",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-health-check",
          label: "Health check",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-request-transfer",
          label: "Request Transfer",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-start-transfer",
          label: "Start transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-complete-transfer",
          label: "Complete transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-terminate-transfer",
          label: "Terminate transfer process",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-controller-suspend-transfer",
          label: "Suspend transfer process",
          className: "api-method post",
        },
      ],
    },
    {
      type: "category",
      label: "Data Plane Management",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-get-state",
          label: "Get Data Plane state",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-get-catalog",
          label: "Get catalog",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-refresh-registration",
          label: "(Re)register data plane",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-get-dataset-config",
          label: "Get dataset",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-update-dataset-config",
          label: "Update dataset",
          className: "api-method put",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-add-dataset",
          label: "Add dataset",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-delete-dataset",
          label: "Delete dataset",
          className: "api-method delete",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-get-transfers",
          label: "Get all transfers",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-get-transfer",
          label: "Get transfer by ID",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-get-metadata",
          label: "Get metadata of transfer by ID",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-start-transfer",
          label: "Start a transfer by ID",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-complete-transfer",
          label: "Complete a transfer by ID",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-terminate-transfer",
          label: "Terminate a transfer by ID",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-suspend-transfer",
          label: "Suspend a transfer by ID",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/data-plane-management-controller-spawn-job",
          label: "DataPlaneManagementController_spawnJob",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Logging",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/logging-controller-get-ingress-logs",
          label: "Get ingress logs",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/logging-controller-get-egress-logs",
          label: "Get egress logs",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Files",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/files-controller-get-files",
          label: "Get all files",
          className: "api-method get",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/files-controller-upload-file",
          label: "Upload files",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/files-controller-sync-files",
          label: "Sync files",
          className: "api-method post",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/files-controller-get-csvw",
          label: "Get CSVW",
          className: "api-method get",
        },
      ],
    },
    {
      type: "category",
      label: "Schemas",
      collapsed: false,
      items: [
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/runtimeconfigdto",
          label: "RuntimeConfigDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/errordto",
          label: "ErrorDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/endpointpropertyschema",
          label: "EndpointPropertySchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataaddressschema",
          label: "DataAddressSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/transferrequestmessageschema",
          label: "TransferRequestMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataplaneproperty",
          label: "DataPlaneProperty",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataplaneaddressdto",
          label: "DataPlaneAddressDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataplanerequestresponsedto",
          label: "DataPlaneRequestResponseDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/transferstartmessageschema",
          label: "TransferStartMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/transfercompletionmessageschema",
          label: "TransferCompletionMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/transferterminationmessageschema",
          label: "TransferTerminationMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/transfersuspensionmessageschema",
          label: "TransferSuspensionMessageSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/constraintschema",
          label: "ConstraintSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/permissionschema",
          label: "PermissionSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/prohibitionschema",
          label: "ProhibitionSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dutyschema",
          label: "DutySchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/policyschema",
          label: "PolicySchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/durationschema",
          label: "DurationSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/datasetschema",
          label: "DatasetSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataplanedetailsdto",
          label: "DataPlaneDetailsDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataplanestatedto",
          label: "DataPlaneStateDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/resourceschema",
          label: "ResourceSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/catalogrecordschema",
          label: "CatalogRecordSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/dataserviceschema",
          label: "DataServiceSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/catalogschema",
          label: "CatalogSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/transferdto",
          label: "TransferDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/agreementschema",
          label: "AgreementSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/metadatadto",
          label: "MetadataDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/clientinfo",
          label: "ClientInfo",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/authenticateduser",
          label: "AuthenticatedUser",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/unauthenticateduser",
          label: "UnauthenticatedUser",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/pagemetadto",
          label: "PageMetaDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/pagedto",
          label: "PageDto",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/csvwtableschema",
          label: "CSVWTableSchema",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/csvwtable",
          label: "CSVWTable",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/csvw",
          label: "CSVW",
          className: "schema",
        },
        {
          type: "doc",
          id: "apis/analytics-data-plane/schemas/filemetadatadto",
          label: "FileMetadataDto",
          className: "schema",
        },
      ],
    },
  ],
};

export default sidebar.apisidebar;
